Package org.eclipse.m2m.atl.profiler.ui.profilingdatatable

## Enum MemoryComparator.ColumnType

- java.lang.Object
- - java.lang.Enum<MemoryComparator.ColumnType>
  - - org.eclipse.m2m.atl.profiler.ui.profilingdatatable.MemoryComparator.ColumnType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<MemoryComparator.ColumnType>`

Enclosing class:
  MemoryComparator

    public static enum MemoryComparator.ColumnType
    extends java.lang.Enum<MemoryComparator.ColumnType>

The columns possible types.

### Enum Constant Summary

Enum Constants
`InMem` In memory.
`MaxMem` Max memory.
`OutMem` Out memory.

### Method Summary

All Methods Static Methods Concrete Methods
`static MemoryComparator.ColumnType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MemoryComparator.ColumnType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### InMem

    public static final MemoryComparator.ColumnType InMem

In memory.

#### MaxMem

    public static final MemoryComparator.ColumnType MaxMem

Max memory.

#### OutMem

    public static final MemoryComparator.ColumnType OutMem

Out memory.

### Method Detail

#### values

    public static MemoryComparator.ColumnType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MemoryComparator.ColumnType c : MemoryComparator.ColumnType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MemoryComparator.ColumnType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null